Bug 124254 - rnews permission problem causes data loss
rnews permission problem causes data loss
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: inn (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ondrej Dvoracek
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-24 23:57 EDT by H. Peter Anvin
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2004-05-24 23:57:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)

Description of problem:
rnews is setuid uucp (why?), however, if inn is down it tries to write
articles into /var/spool/news/incoming, which is news.news 755.

The result is that any articles fed into rnews when innd is not
running are lost.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Shut down innd
2. Feed article to rnews
3. Restart innd
4. rnews -U

Actual Results:  Articles lost (see /var/log/news/news.notice)

Expected Results:  Articles should have been unspooled by rnews -U

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:25:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.